Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.bpm.jbpm
Class JBpmConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.bpm.ProcessConnector
              org.mule.transport.bpm.jbpm.JBpmConnector

All Implemented Interfaces:
  EventListener, javax.resource.spi.work.WorkListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, Connectable, Connector, MessageService

    public class JBpmConnector

extends ProcessConnector

Field Summary
`static String` | `JBPM_WRAPPER_CLASS`

Fields inherited from class org.mule.transport.bpm.ProcessConnector
`ACTION_ABORT, ACTION_ADVANCE, ACTION_START, ACTION_UPDATE, allowGlobalDispatcher, allowGlobalReceiver, BPM_PROPERTY_PREFIX, bpms, GLOBAL_RECEIVER, PROCESS_VARIABLE_DATA, PROCESS_VARIABLE_INCOMING, PROCESS_VARIABLE_INCOMING_SOURCE, processIdField, PROPERTY_ACTION, PROPERTY_ENDPOINT, PROPERTY_PROCESS_ID, PROPERTY_PROCESS_STARTED, PROPERTY_PROCESS_TYPE, PROPERTY_TRANSITION, PROTOCOL`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatchers, initialStateStopped, lifecycleManager, logger, muleContext, muleMessageFactory, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JBpmConnector(MuleContext context)`

Method Summary
`protected BPMS` | `createBpms()` Override this method to create the BPMS upon initialization of the connector.
`String` | `getConfigurationResource()`
`Object` | `getProcessEngine()`
`void` | `setConfigurationResource(String configurationResource)`
`void` | `setProcessDefinitions(Properties processDefinitions)`
`void` | `setProcessEngine(Object processEngine)`

Methods inherited from class org.mule.transport.bpm.ProcessConnector
`doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, generateMessage, getBpms, getMuleClient, getProcessIdField, getProtocol, isAllowGlobalDispatcher, isAllowGlobalReceiver, lookupReceiver, setAllowGlobalDispatcher, setAllowGlobalReceiver, setBpms, setProcessIdField, toUrl`

Methods inherited from class org.mule.transport.AbstractConnector
`clearDispatchers, clearRequesters, configureDispatcherPool, connect, createDispatcherMessageProcessor, createMuleMessageFactory, createReceiver, createScheduler, destroyReceiver, disconnect, dispose, disposeReceivers, disposeWorkManagers, doUnregisterListener, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultExchangePattern, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getInboundExchangePatterns, getLifecycleState, getMaxDispatchersActive, getMaxRequestersActive, getMaxTotalDispatchers, getMuleContext, getMuleMessageFactory, getName, getNumberOfConcurrentTransactedReceivers, getOutboundExchangePatterns, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isInitialised, isInitialStateStopped, isResponseEnabled, isStarted, isStopped, isValidateConnections, lookupReceiver, registerListener, registerSupportedMetaProtocol, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherPoolMaxWait, setDispatcherPoolWhenExhaustedAction, setDispatcherThreadingProfile, setDynamicNotification, setInitialStateStopped, setMaxDispatchersActive, setMaxRequestersActive, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterPoolMaxWait, setRequesterPoolWhenExhaustedAction, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, shutdownScheduler, start, startAfterConnect, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JBPM_WRAPPER_CLASS

    public static final String JBPM_WRAPPER_CLASS

See Also:
  Constant Field Values

Constructor Detail

### JBpmConnector

    public JBpmConnector(MuleContext context)

Method Detail

### createBpms

    protected BPMS createBpms()
                       throws Exception

  Description copied from class: `ProcessConnector`
  Override this method to create the BPMS upon initialization of the connector.

  Overrides:
    `createBpms` in class `ProcessConnector`
  Returns:
    an initialized BPMS
  Throws:
    `Exception`

### setConfigurationResource

    public void setConfigurationResource(String configurationResource)

### getConfigurationResource

    public String getConfigurationResource()

### getProcessEngine

    public Object getProcessEngine()

### setProcessEngine

    public void setProcessEngine(Object processEngine)

### setProcessDefinitions

    public void setProcessDefinitions(Properties processDefinitions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.